Bug 344372 - moving/ copying messages from viewer
Summary: moving/ copying messages from viewer
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: commands and actions (show other bugs)
Version: 4.14.4
Platform: Fedora RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-20 01:24 UTC by mark
Modified: 2015-02-24 07:44 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
moving a message from message list (3.05 MB, video/mkv)
2015-02-24 07:35 UTC, mark
Details
copy a message from message viewer (2.62 MB, video/mkv)
2015-02-24 07:42 UTC, mark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mark 2015-02-20 01:24:42 UTC
If a mail is viewed, it should be possible to move or copy this message to a folder the same way as it is possible from the message list. Reason being, that if a mail is searched via krunner, it will display in the viewer but one has no indication where this message was found and one might want to move it to a certain mail folder.

Reproducible: Always
Comment 1 Laurent Montel 2015-02-22 20:35:53 UTC
We are a "copy item to..." (ok I need to fix name) it allows to copy message
Comment 2 mark 2015-02-23 07:27:34 UTC
(In reply to Laurent Montel from comment #1)
> We are a "copy item to..." (ok I need to fix name) it allows to copy message

Ahh, I just found it in the context menu. The addition of "move.." would be nice, more useful to me, and a possibility to assign a shortcut to either.
Comment 3 Laurent Montel 2015-02-23 07:32:19 UTC
Assign a shortcut is not possible because it's a menu
=> you can't assign a shortcut to top level ok menu :)

Move I will look at how to put it.
Comment 4 Laurent Montel 2015-02-23 07:32:45 UTC
(In reply to Laurent Montel from comment #1)
> We are a "copy item to..." (ok I need to fix name) it allows to copy message

I fixed name this morning.
Comment 5 mark 2015-02-23 08:14:11 UTC
(In reply to Laurent Montel from comment #3)
> Assign a shortcut is not possible because it's a menu
> => you can't assign a shortcut to top level ok menu :)
> 
> Move I will look at how to put it.

mm, it is possible to use "r"/"f" for reply/forward for example. Perhaps, with the above restriction, a sub-menu "..to folder" would be a solution (similar to the location of the reply/ forward commands in their respective top level menus). Then, this would be similar to invoking copy/move from the message list.
Not sure how much of a change that would be but it certainly would go some way to usability; for keyboard-centric users, opening a message and then decide where they like to move/ copy it to quickly.
Comment 6 Laurent Montel 2015-02-23 08:41:33 UTC
forward/reply is an uniq action not a menu.
list of folder is dynamic => create a shortcut against it it's not easy.
Comment 7 mark 2015-02-23 09:05:12 UTC
(In reply to Laurent Montel from comment #6)
> forward/reply is an uniq action not a menu.
> list of folder is dynamic => create a shortcut against it it's not easy.

I am confused. The reply/ forward is in the same action menu (right-click with mouse inside the message) as is the "copy item to..". What I imagine if I press the bespoke shortcut for "moving/ copying message to folder..", is to get the same (search-able) folder list I would get if I press it on a message in the message list.
Comment 8 Laurent Montel 2015-02-23 12:21:35 UTC
you have a menu if you click on "copy item to.." not a dialogbox to select a folder
Comment 9 mark 2015-02-23 12:36:01 UTC
Yes, I understand that. I was suggesting to change it. What ideally would be useful is to have a workflow with similar to the behaviour in the message list.

As:
1. Open a message
2. Press the shortcut for moving (m) or copying (c) message
3. A folder list open (which is searchable) ; same as in message list behaviour (perhaps reusable as code)
4. Press return at the selected target folder
5. Message is moved there

The current behaviour is too complex for a often used task, IMHO.
Comment 10 Laurent Montel 2015-02-24 07:09:47 UTC
for me it's not complexe we open a menu.
With your method we need to click to open, got focus, search folder and finally select it.
Comment 11 Laurent Montel 2015-02-24 07:28:16 UTC
Git commit fdbd6b5788f152c620e164a28f66a303f148e45f by Montel Laurent.
Committed on 24/02/2015 at 07:26.
Pushed by mlaurent into branch 'KDE/4.14'.

Fix Bug 344372 - moving/ copying messages from viewer

Fix move message from viewer.

M  +36   -0    kmail/kmreadermainwin.cpp
M  +2    -0    kmail/kmreadermainwin.h

http://commits.kde.org/kdepim/fdbd6b5788f152c620e164a28f66a303f148e45f
Comment 12 mark 2015-02-24 07:35:16 UTC
Created attachment 91258 [details]
moving a message from message list
Comment 13 mark 2015-02-24 07:42:11 UTC
Created attachment 91259 [details]
copy a message from message viewer
Comment 14 mark 2015-02-24 07:43:30 UTC
I still feel we are not on the same page. But perhaps, I do it wrong trying to understand your way. Please watch attached video from the action when done from the message list. Similar, I imagine, from the message viewer. No mouse clicks involved. With the method, you suggested, I need to navigate through the "menus" after activating window action menu (also video attached).